Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8242443

[lworld] Disabling scalarization fails with assert "incorrect depth prediction"

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: repo-valhalla
    • Fix Version/s: repo-valhalla
    • Component/s: hotspot
    • Labels:

      Description

      Running with -XX:-ScalarizeValueTypes fails:

      # Internal Error (open/src/hotspot/share/opto/parse1.cpp:1615), pid=12623, tid=12638
      # assert(!have_se || stopped() || failing() || (sp() - pre_bc_sp) == depth) failed: incorrect depth prediction: sp=0, pre_bc_sp=2, depth=-1

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                thartmann Tobias Hartmann
                Reporter:
                thartmann Tobias Hartmann
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: